MIX_CreateGroup(3)

NAME
MIX_CreateGroup - Create a mixing group.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_Group * MIX_CreateGroup(MIX_Mixer *mixer);

DESCRIPTION
Tracks are assigned to a mixing group (or if unassigned, they live in a mixer's internal default group). All tracks in a group are mixed together and the app can access this mixed data before it is mixed with all other groups to produce the final output.

This can be a useful feature, but is completely optional; apps can ignore mixing groups entirely and still have a full experience with SDL_mixer.

After creating a group, assign tracks to it with MIX_SetTrackGroup(). Use MIX_SetGroupPostMixCallback() to access the group's mixed data.

A mixing group can be destroyed with MIX_DestroyGroup() when no longer needed. Destroying the mixer will also destroy all its still-existing mixing groups.

FUNCTION PARAMETERS

mixer
    the mixer on which to create a mixing group.

RETURN VALUE
Returns a newly-created mixing group, or NULL on error; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_DestroyGroup(3), MIX_SetTrackGroup(3), MIX_SetGroupPostMixCallback(3)